﻿using System;
using System.Collections.ObjectModel;
using PSFinancials.TaskManager600.Models;

namespace PSFinancials.TaskManager600.ViewModels
{
    public class MainViewModel : NotificationObject
    {
        #region Members

        private ObservableCollection<Task> _tasks;

        #endregion

        #region Properties

        public ObservableCollection<Task> Tasks
        {
            get { return _tasks; }
            set
            {
                if (_tasks != value)
                {
                    _tasks = value;
                    base.OnPropertyChanged("Tasks");
                }
            }
        }

        #endregion

        #region Commands

        #endregion

        #region Constructor

        public MainViewModel()
        {
            ConfigureWindow();
        }

        #endregion

        #region Functions

        private void ConfigureWindow()
        {
            Tasks = new ObservableCollection<Task>
            {
                new Task
                {
                    MyCalendarId = "1", MyDescription = "Description", MyEnd = DateTime.Now.AddDays(1), MyId = "1", MyOwnerId = "1", MyStart = DateTime.Now, MySubject = "Subject"
                }
            };
        }

        #endregion
    }
}
